<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wms/taskinfo/Dt_Task.js此处编写
 -->
<template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :table="table" :extend="extend" />
</template>
<script>
import extend from "@/extension/widesea_wms/Host/Dt_HostErrorMessage.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'id',
            footer: "Foots",
            cnName: '报警信息',
            name: 'Host/Dt_HostErrorMessage',
            url: "/Dt_HostErrorMessage/",
            sortName: "Id"
        });
        const editFormFields = ref({

        });
        const editFormOptions = ref([

        ]);
        const searchFormFields = ref({
        });
        const searchFormOptions = ref([
            [
                { "title": "报警代码", "field": "errorCode", "type": "text" },
                { "title": "上报系统", "field": "reportName", "type": "text" },
            ],
        ]);
        const columns = ref([
            { field: 'id', title: '主键', type: 'string', width: 110, hidden: true, readonly: true, require: true, align: 'left' },
            { field: 'reportName', title: '上报系统', type: 'string', width: 100, align: 'left', sort: true },
            { field: 'errorCode', title: '报警代码', type: 'string', width: 100, align: 'left' },
            { field: 'errorMessage', title: '异常信息', type: 'string', width: 600, align: 'left' },
            { field: 'alarmSource', title: '报警源', type: 'string', width: 110, align: 'left' },
            { field: 'location', title: '位置', type: 'string', width: 110, align: 'left', hidden: true },
            { field: 'grade', title: '等级', type: 'string', width: 110, align: 'left' },
            { field: 'createDate', title: '时间', type: 'datetime', width: 150, align: 'left' },
        ]);
        const detail = ref({
            cnName: "#detailCnName",
            table: "#detailTable",
            columns: [],
            sortName: "",
            key: ""
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
